Bug 437168 - crashes when suspend attempted from gdm
crashes when suspend attempted from gdm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 14:32 EDT by Bill Nottingham
Modified: 2014-03-16 23:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-29 18:46:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 552078 None None None Never

  None (edit)
Description Bill Nottingham 2008-03-12 14:32:14 EDT
Description of problem:

If I click on the GPM applet under GDM and choose 'suspend', it aborts.

write(2, "\n** CRITICAL **: gpm_profile_set_config_id: assertion `config_id !=
NULL\' failed\naborting...\n", 93) = 93

Program received signal SIGABRT, Aborted.
[Switching to Thread 0x7f9b13bbd7b0 (LWP 4034)]
0x00000034e7232f75 in raise () from /lib64/libc.so.6
(gdb) bt
#0  0x00000034e7232f75 in raise () from /lib64/libc.so.6
#1  0x00000034e7234ae3 in abort () from /lib64/libc.so.6
#2  0x00000034e8a4119b in IA__g_logv (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>, 
    args1=<value optimized out>) at gmessages.c:497
#3  0x00000034e8a41233 in IA__g_log (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>) at
gmessages.c:517
#4  0x0000000000416531 in gpm_profile_set_config_id (profile=0xd5b290,
config_id=0x0)
    at gpm-profile.c:780
#5  0x000000000040f951 in gpm_cell_array_collection_changed (cell_array=0xddba50)
    at gpm-cell-array.c:740
#6  0x00000034e960b6dd in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#7  0x00000034e961f6c1 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, instance_and_params=<value optimized
out>)
    at gsignal.c:2440
#8  0x00000034e9620b9c in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2199
#9  0x00000034e96210e3 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>) at gsignal.c:2243
#10 0x000000000041764a in gpm_control_suspend (control=0xd92050,
error=0x7fff1bbf4f28)
    at gpm-control.c:448
#11 0x000000000041dd70 in gpm_manager_action_suspend (manager=0xddb990, 
    reason=0x439c88 "User clicked on tray") at gpm-manager.c:372
#12 0x00000034e960b6dd in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490

Version-Release number of selected component (if applicable):

gnome-power-manager-2.22.0-1.fc9.x86_64
Comment 1 Matthias Clasen 2008-03-12 23:17:17 EDT
For me, it doesn't crash, but suspend doesn't work either. 
Here is what gpm spits out:

** (gnome-power-manager:2420): WARNING **: DBUS error: Could not get owner of
name 'org.gnome.ScreenSaver': no such name
** (gnome-power-manager:2420): DEBUG: proxy is NULL, maybe the daemon
responsible for org.gnome.ScreenSaver is not running?
Saving to syslog: Suspending computer. Reason: User clicked on tray
** (gnome-power-manager:2420): WARNING **: Method failed
(A security policy in place prevents this sender from sending this message to
this recipient, see message bus configuration file (rejected message had
interface "org.freedesktop.Hal.Device.SystemPowerManagement" member "Suspend"
error name "(unset)" destination ":1.2"))
Saving to syslog: Resuming computer*** PULSEAUDIO: Unable to connect: Connection
refused
Comment 2 Bill Nottingham 2008-03-12 23:33:32 EDT
hughsie fixed the crash I was seeing upstream. Still doesn't suspend, though.
Comment 3 Matthias Clasen 2008-03-29 18:46:44 EDT
crash fix is in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.